# copy

copy a graphics entity.

## Calling Sequence

    copy(h)
                copy(h,h_axes)
                h_copy=copy(h)

## Arguments

h

  a handle, the handle of the entity to copy.

h_axes

  a handle, the handle of the parent entity for the destination. It should be an axes entity.

h_copy

  a handle, the handle on the entity copied.

## Description

This routine can be used to make a copy of a graphics entity with all its propeties'values, it returns the handle on this new entity. `h_axes` omitted, graphics entity is cloned and it's copied in the same parent axes entity.

## Examples

    subplot(211);a1=gca();
    plot2d()
    e=gce();
    p1=e.children(1);
    p2=copy(p1);p2.data(:,2)=p2.data(:,2)-0.5;
    subplot(212);a2=gca();
    a2.data_bounds=a1.data_bounds;
    copy(p1,a2);

## See Also

- get
- set
- delete
- move
- graphics_entities